List the tenant's events
curl --request GET \
--url https://api.myproceeds.xyz/v1/events \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.myproceeds.xyz/v1/events"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.myproceeds.xyz/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"paywallId": "<string>",
"userId": "<string>",
"paywallName": "<string>",
"requestIp": "<string>",
"requestPath": "<string>",
"requestMethod": "<string>",
"userAgent": "<string>",
"transactionId": "<string>",
"statusCode": 123,
"responseTime": 123,
"amount": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"Paywall": {
"slug": "<string>",
"name": "<string>"
}
}
],
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"total": 123,
"limit": 123,
"offset": 123,
"hasMore": true
},
"stats": [
{
"count": 123
}
]
}
}{
"error": "<string>",
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"details": "<unknown>"
}{
"error": "Valid API key required",
"code": "INVALID_API_KEY"
}{
"error": "<string>",
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"details": "<unknown>"
}{
"error": "<string>",
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"details": "<unknown>"
}Data
List the tenant's events
Per-eventType counts are returned in meta.stats. The cached upstream response body is not exposed.
GET
/
v1
/
events
List the tenant's events
Authorizations
API key in format mpk_<64 hex chars>. Can alternatively be sent as
Authorization: Bearer mpk_....
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Available options:
REQUEST, SUCCESS, ERROR ⌘I

